#include <Wire.h> // biblioteka I2C
#include <RtcDS3231.h> // RTC - DS3231
#include <OneWire.h>
#include <DallasTemperature.h>
RtcDS3231<TwoWire> zegar(Wire); //obiekt zegar RTC 
OneWire obiektOneWire(A0); //wykorzystujemy pin A0
DallasTemperature czujniki(&obiektOneWire);
int liczbaCzujnikow; DeviceAddress tmpAdresyCzujnikow;

void setup(void)   { zegar.Begin(); //inicjalizacja
 Serial.begin(9600);  czujniki.begin(); 
 liczbaCzujnikow = czujniki.getDeviceCount(); 
 RtcDateTime czasKompilacji = RtcDateTime(__DATE__, __TIME__);
 if (!zegar.IsDateTimeValid()) zegar.SetDateTime(czasKompilacji);
 if (!zegar.GetIsRunning())   zegar.SetIsRunning(true); 
 RtcDateTime czasAktualny = zegar.GetDateTime();  
 if(czasAktualny<czasKompilacji) zegar.SetDateTime(czasKompilacji);}
 
void loop(void)  { if (digitalRead(A2) == LOW) 
 {  delay(100);   }   else   {
  RtcDateTime czasAktualny = zegar.GetDateTime();
  czujniki.requestTemperatures(); 
  Serial.print(czasAktualny.Year());
  Serial.print('-');
  Serial.print(czasAktualny.Month());
  Serial.print('-');
  Serial.print(czasAktualny.Day());
  Serial.print('T'); // wstawiamy literkę T
  Serial.print(czasAktualny.Hour());
  Serial.print(':');
  Serial.print(czasAktualny.Minute());
  Serial.print(':');
  Serial.print(czasAktualny.Second());
  Serial.print(',');
  for(int i=0;i<liczbaCzujnikow; i++)   { 
    czujniki.getAddress(tmpAdresyCzujnikow, i);
    float tempC = czujniki.getTempC(tmpAdresyCzujnikow);   
    Serial.print(tempC);
    Serial.print(","); } //koniec odpytywania czujników
   Serial.println(); delay(1000);  } }
